Ubuntu 14.04.03 installer fails to recognize internal storage

arashesfahanyarashesfahany New Member Posts: 4

Dear all,

I have previously installed Ubuntu 16.04.03 on my UP board without any kind of error. But I have to install Ubuntu 14.04.03 on it for a particular use.

The problem is that Ubuntu 14.04.03's installer fails to recognize the board's internal 32GB storage (eMMC). I also tried Ubuntu 14.04.03 live and the problem persists.

Has anyone had the same problem ever? How can it be solved?

Answers

  • ccaldeccalde Administrator, Moderator, Emutex Posts: 348 admin

    Hi @arashesfahany ,

    Could you, please, specify what kind of error you got installing Ubuntu 14.04?
    It maybe is an issue on line with the eMMC storage...

    Also, what is your BIOS version??

    Regards!

  • arashesfahanyarashesfahany New Member Posts: 4
    edited July 2018

    Hey,

    I don't get any kind of error. Only the internal storage isn't listed in a page that installer asks where to be installed. Also, when I try fdisk -l in 14.04's live, it doesn't seem to find any kind of internal storage.

    I will provide you with the bios version in 40 hours...
    I have to check the board for that...

  • ccaldeccalde Administrator, Moderator, Emutex Posts: 348 admin

    Hi @arashesfahany ,

    I tested the ubuntu-14.04.3-desktop-amd64.iso in my UP board with a latest version BIOS and the installation was fine.
    Only a warning before select the memory disk to install where said:
    "fsyncing/closing /dev/mmcblkoprmb: Input/output error"

    I ignored it and continued with the installation (always without Ethernet connection).

    Please, check the Wiki info about Ubuntu 14.04: "Instruction for Legacy Ubuntu Version (only for up board)"

    https://wiki.up-community.org/Ubuntu

    Cheers!

  • arashesfahanyarashesfahany New Member Posts: 4

    This is my BIOS info:

    Do you think my problem has anything to do with the BIOS version?

  • ccaldeccalde Administrator, Moderator, Emutex Posts: 348 admin

    Hi, @arashesfahany ,

    It could be possible.
    But first, you should try to install Ubuntu 16.04.03 to be sure the issue is also present there.

    Cheers!

  • arashesfahanyarashesfahany New Member Posts: 4

    I have tried Ubuntu 16.04.03 and everything works fine...

  • ccaldeccalde Administrator, Moderator, Emutex Posts: 348 admin
    edited July 2018

    So @arashesfahany ,

    Maybe the problem is there.

    You could not install Ubuntu 14 if the OS doesn't recognize the eMMC storages....

    The only OS defined in the Wiki is for Ubuntu 16:
    https://wiki.up-community.org/Ubuntu

    Also, you can try to follow the steps for Instruction for Legacy Ubuntu Version (only for up board),
    in the same link.
    There, it specifies to install Ubuntu 14.04 LTS (Trusty Tahr).

    Cheers!

Sign In or Register to comment.